<?php

namespace Modules\Sector\Interfaces;

use Modules\Sector\Models\Sector;

interface SectorRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Sector;
    public function update(array $request, Sector $sector): Sector;
    public function destroy(Sector $sector): void;
    public function destroyAll(array $ids): void;
    public function restore(Sector $sector): void;
    public function restoreAll(array $ids): void;
}
